# >> Version 1.0
# [+] Server-Command "esc_tell"
# [+] Server-Command "esc_msg"

# =============================================================================
# >> Imports
# =============================================================================
import es
import cmdlib
import esc

# =============================================================================
# >> Load & Unload
# =============================================================================
def load():
    cmdlib.registerServerCommand('esc_tell', esc_tell, 'Usage: esc_tell <userid> <message>')
    cmdlib.registerServerCommand('esc_msg', esc_msg, 'Usage: esc_msg <message>')
    
def unload():
    cmdlib.unregisterServerCommand('esc_tell')
    cmdlib.unregisterServerCommand('esc_msg')
    
# =============================================================================
# >> Tell-Function
# =============================================================================
def esc_tell(args):
    # > Check args
    if len(args) < 2:
       es.dbgmsg(0, 'Usage: esc_tell <userid> <message>')
       es.dbgmsg(0, 'Colors: #R,G,B')
       return
    # > Vars
    userid = args[0]
    message= ' '.join(args[1:]) 
    # > Format & Check
    try:
       userid = int(args[0])
       if not es.getuserid(userid):
          raise TypeError
    except TypeError:
       es.dbgmsg(0, 'Invalid User-ID!')
       return
    # > Tell
    esc.tell(userid, message)
    
# =============================================================================
# >> Message-Function
# =============================================================================
def esc_msg(args):
    # > Check args
    if len(args) < 1:
       es.dbgmsg(0, 'Usage: esc_msg <message>')
       es.dbgmsg(0, 'Colors: #R,G,B')
       return
    # > Vars
    message= ' '.join(args[0:]) 
    # > Tell
    esc.msg(message)